Page MenuHomePhabricator

Growth: help users understand where to find responses (desktop)
Closed, ResolvedPublic

Description

Interested in this task? Email mmiller@wikimedia.org, or comment on the task.

The newcomer homepage is a feature to help newcomers get oriented when they first create their account, so they can figure out how to start editing quickly. One component of the homepage is the mentorship module, which encourages newcomers to post questions to an experienced user's talk page. One concern is that they don't know how to find out that they have been answered. Newcomers should expect to receive a ping when they answered, and we hope they notice it in their Echo notifications.

The idea here is that in the modal for asking a question, we may want to illustrate to newcomers how to check their notifications to receive their response, perhaps by indicating it with a GuidedTour addition.

Here is a mockup of the mentorship module and the modal that it opens: https://wikimedia.invisionapp.com/share/KUQV2QDJ8A7#/screens/350928124

Some rough specifications for work during Hackathon:

  • We want the GuidedTour to appear for the first time the user asks a question on the help panel, homepage help module, or homepage mentorship module. Therefore, a user could see the popup a maximum of three times: one for each place they can ask a question.
  • It will only appear on desktop, because GuidedTour doesn't work on mobile.
  • It should be one popup that points to the Echo alerts (the bell icon).
  • For questions from the help desk and help module, the popup should say, "When your question is answered, you will have a new alert here." Its header should say, "Help desk alerts".
  • For questions from the mentorship module, the popup should say, "When your mentor responds, you will have a new alert here." Its header should say, "Mentor alerts".
  • The button to dismiss the popup should say, "Got it".
  • The background behind the popup should not be gray (per @Volker_E).
  • The button should not be a primary blue; it should just be a normal button (per @Volker_E).

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterAdd guided tours for help panel and homepage module questions poster

Event Timeline

SBisson created this task.Apr 4 2019, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2019, 6:56 PM
MMiller_WMF updated the task description. (Show Details)Apr 6 2019, 1:09 AM
MMiller_WMF updated the task description. (Show Details)Apr 6 2019, 1:13 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 6 2019, 1:13 AM
MMiller_WMF updated the task description. (Show Details)May 16 2019, 4:44 PM
MMiller_WMF updated the task description. (Show Details)May 17 2019, 9:05 AM
Quiddity updated the task description. (Show Details)May 17 2019, 12:50 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF added a subscriber: Tim_WMDE.

Assigning to @Tim_WMDE, who is working on this during Hackathon.

Change 511038 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/GrowthExperiments@master] WIP: Add guided tour for incoming messages

https://gerrit.wikimedia.org/r/511038

MMiller_WMF updated the task description. (Show Details)May 19 2019, 10:28 AM
MMiller_WMF added a subscriber: Volker_E.
MMiller_WMF updated the task description. (Show Details)May 19 2019, 10:31 AM
MMiller_WMF moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Thanks for working on this, @Tim_WMDE. We're putting this into code review because we actually want it to go to production. Are you willing to work on any changes that come from code review?

@MMiller_WMF Hey, I have finally found some time to have another look at this ticket, please check out the updated code.

kostajh claimed this task.Jun 27 2019, 11:30 AM

Thanks for all your work on this @Tim_WMDE, I'm going to work on it today as we will be using GuidedTour in upcoming work.

@kostajh Thanks and no problem. Sorry that I could not continue more on this, we could not take any time out of our current projects.

Change 511038 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add guided tours for help panel and homepage module questions poster

https://gerrit.wikimedia.org/r/511038

This task is related to T220753, and I guess it would need design work for a mobile version? @MMiller_WMF

@MMiller_WMF will create a separate task for the mobile version of this task

Checked in betalabs - all specs seem to be in place.

@kostajh - if the GuidedTour popup is not dismissed explicitly - either by clicking on the close 'X' or on the 'Got it' buttons, the popup appears again and again on all kinds of pages:

MMiller_WMF renamed this task from Homepage Mentorship: GuidedTour to help users understand how to follow up on their questions (with notifications) to Homepage Mentorship: help users understand where to find responses (desktop).Jul 3 2019, 11:14 PM
MMiller_WMF renamed this task from Homepage Mentorship: help users understand where to find responses (desktop) to Growth: help users understand where to find responses (desktop).

I changed the name of this task to reflect that it applies to more than just the mentorship module, and that it is about desktop. There is now also a mobile task: T227238

@kostajh - if the GuidedTour popup is not dismissed explicitly - either by clicking on the close 'X' or on the 'Got it' buttons, the popup appears again and again on all kinds of pages:

Sounds like a bug :) I'll investigate

Sounds like a bug :) I'll investigate

It seems like GuidedTour extension (not our implementation of it) has a bug (or feature? 😛 ) where the tour attempts to load from cookie state if it hasn't been completed. For example, try going to https://en.wikipedia.org/wiki/Wikipedia:Sandbox?tour=test and then click outside of the tour, then click on "View history", you'll see the tour load again. I think we could file a bug against GuidedTour about it but I'm not sure we should pursue fixing it for the help panel and homepage modules right now.

@kostajh found a parameter to fix this, so I'm moving it back to In Development.

@kostajh found a parameter to fix this, so I'm moving it back to In Development.

This is should be in QA, I didn't link the phab task to the gerrit patch: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/+/520904

Works as expected - moving for PM Review column.

Thanks. I just tried this out in Korean beta wiki, and the GuidedTour message is not in Korean, and I also don't see a pending string for it Translatewiki.net. @Etonkovidova or @kostajh -- do you know why that is?

Other than that, everything is working well for me.

According to the history for the "Help desk alerts" message, it was translated on Tuesday July 9th at 11:04, which is too late to make the train. It should have been done on the Monday.

@Catrope has the super power to add those messages as local overrides on Korean Wikipedia.

I've created local overrides for all four messages used in the tours. We'll have to remember to delete these after next week's train.

I made a calendar invite for Roan and me to delete them next Friday.

I made a calendar invite for Roan and me to delete them next Friday.

Because the train didn't end up going to group2 yesterday, I've postponed this by a week.

@Catrope -- did you end up deleting the local overrides? If so, we can close this task.

MMiller_WMF closed this task as Resolved.Sep 23 2019, 10:28 PM

@Catrope says the overrides are deleted.